/*
Theme Name: Elite Base Theme
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme example child theme.
Author: Nick
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */



/* --------- BUTTON STYLES --------- */

/* SHAPE */
.square-btn {
	border-radius: 0px;
}

.pill-btn {
	border-radius: 80px;
}



/* FONT */
.btn-small-btn, .btn-regular-btn {
	font-size: var(--e-global-typography-accent-font-size);
	font-family: var(--e-global-typography-accent-font-family);
	font-weight: var(--e-global-typography-accent-font-weight);
	text-transform: var(--e-global-typography-accent-text-transform);
	font-style: var(--e-global-typography-accent-font-style);
	line-height: var(--e-global-typography-accent-line-height);
	letter-spacing: var(--e-global-typography-accent-letter-spacing);
}

.btn-large-btn, .btn-extra-large-btn {
	font-size: var(--e-global-typography-f806337-font-size);
	font-family: var(--e-global-typography-f806337-font-family);
	font-weight: var(--e-global-typography-f806337-font-weight);
	text-transform: var(--e-global-typography-f806337-text-transform);
	font-style: var(--e-global-typography-f806337-font-style);
	line-height: var(--e-global-typography-f806337-line-height);
	letter-spacing: var(--e-global-typography-f806337-letter-spacing);
}



/* SIZE */
.btn-small-btn {
	padding: 10px 18px;
}

.btn-regular-btn {
	padding: 16px 26px;
}

.btn-large-btn {
	padding: 20px 28px;
}

.btn-extra-large-btn {
	padding: 24px 30px;
}



/* TEXT ONLY */
.btn-text-only-btn {
	padding: 0px !important;
	border-radius: 0px !important;
	background-color: transparent !important;
}



/* --------- GENERAL STYLING --------- */

.oceanwp-sidr-overlay {
	z-index: 9999 !important;
}

.is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {
    opacity: 1 !important;
}

.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {
	display: none !important;
}

ul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {
    transition: .3s;
}

.elementor-social-icon i { 
	transition: .3s; 
}

/* #site-header {
	margin-top: -1px !important;
} */



/* MATCHING IMAGE HEIGHT TO COLUMN */
.imageheight {
    height: 100% !important;
	position: absolute;
}

.imageheight .elementor-image {
	height: 100% !important;
}

.imageheight a {
	height: 100% !important;
	width: 100% !important;
}

@media only screen and (max-width: 767px) {	
	.imageheight {
		position: relative;
	}
}


/* WHEN MAX WIDTH 90% TURNS ON */
@media only screen and (max-width: 960px) {
	.remove-maxwidth .elementor-container {
		max-width: 100% !important;
	}
}



/* --------- TOPBAR STYLING --------- */

.topbar-content i {
	width: 22px;
	height: 22px;
	text-align: center;
	line-height: 22px;
	display: inline-block;
	margin-left: 10px;
	margin-right: 3px;
	font-size: 10px;
	transition: .4s;
	border-radius: 50%;
}

.d-only {
	display: inline-block;
}

.m-only {
	display: none;
}

@media only screen and (max-width: 600px) {
	.d-only {
		display: none;
	}

	.m-only {
		display: inline-block;
	}
	
}



/* --------- NAVIGATION MENU --------- */

/* MOBILE MENU */
.mobile-menu .fa-bars {
	font-size: 22px;
	vertical-align: middle;
}



/* --------- HOME PAGE STYLES --------- */

/* SERVICE BOX */
.sbox .red-plus .elementor-icon {
	clip-path: polygon(100% 0, 0% 100%, 100% 100%);
	padding: 20px 5px 5px 25px;
	transition: .4s;
}

.sbox:hover .red-plus .elementor-icon {
	clip-path: polygon(100% 0, 0% 100%, 100% 100%);
	padding: 20px 5px 5px 25px;
	transition: .4s;
}



/* --------- FOOTER --------- */

/* AFFILIATE SLIDER */
.affiliate-slider .elementor-swiper-button-prev {
	margin-left: -30px;
}

.affiliate-slider .elementor-swiper-button-next {
	margin-right: -30px;
}


/* FOOTER */
#footer-callout-wrap {
	border: 0px !important;
}



/* --------- PORTFOLIO/GALLERY --------- */

/* REMOVE PADDING AT BOTTOM OF GALLERY */
.single .entry-content {
	margin-bottom: 0px;
}



/* --------- SVG COLOR CODES --------- */
.white-svg svg {
	fill: var(--e-global-color-36a78a4b) !important;
}

.ddd-svg svg {
	fill: var(--e-global-color-8e2787d) !important;
}

.black-svg svg {
	fill: var(--e-global-color-5271331a) !important;
}

.main-svg svg {
	fill: var(--e-global-color-primary) !important;
}

.accent-svg svg {
	fill: var(--e-global-color-accent) !important;
}



/* --------- WP FORMS --------- */

/* --- Page Break: Circle Page Indicator --- */
div.wpforms-container-full .wpforms-form .wpforms-page-indicator.circles {
	display: flex;
	flex-flow: row wrap;
	gap: 15px;
	font-family: var(--e-global-typography-accent-font-family);
	font-weight: var(--e-global-typography-accent-font-weight);
	font-style: var(--e-global-typography-accent-font-style);
	text-transform: var(--e-global-typography-accent-text-transform);
	letter-spacing: var(--e-global-typography-accent-letter-spacing);
	margin-bottom: 20px;
}

/* --- Page Break: Page Indicator Page --- */
div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-indicator.circles .wpforms-page-indicator-page {
	float: none;
	margin: 0;
	margin-inline-end: 0;
}

/* --- Page Break: Page Indicator Number --- */
div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-indicator.circles .wpforms-page-indicator-page-number {
	line-height: 30px;
	height: 30px;
	width: 30px;
	background-color: var(--e-global-color-8e2787d) /* ddd */;
	color: var(--e-global-color-36a78a4b) /* white */;
}

/* --- Page Break: Page Indicator Title --- */
div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-indicator.circles .wpforms-page-indicator-page-title {
	color: var(--e-global-color-8e2787d) /* ddd */;
}

/* Active Page Title */
div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-indicator.circles .active .wpforms-page-indicator-page-title {
	color: var(--e-global-color-primary);
}

/* --- Page Break: Buttons --- */
div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button {
	font-family: var(--e-global-typography-accent-font-family);
	font-size: var(--e-global-typography-accent-font-size);
	font-weight: var(--e-global-typography-accent-font-weight);
	font-style: var(--e-global-typography-accent-font-style);
	text-transform: var(--e-global-typography-accent-text-transform);
	line-height: var(--e-global-typography-accent-line-height);
	letter-spacing: var(--e-global-typography-accent-letter-spacing);
	border-radius: 5px;
	border: 2px solid var(--e-global-color-text);
	background: var(--e-global-color-text);
}

div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover {
	border: 2px solid var(--e-global-color-accent);
	background: var(--e-global-color-accent);
}

/* --- Address Field: State, City, ZIP Code Input Fields --- */
div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-large:nth-child(2) {
	width: 100%;
}

div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-large, div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-row:nth-child(3) {
	display: inline-block;
	width: 66.66666%;
	float: left;
	clear: right;
}

div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-large:nth-child(4), div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-row:nth-child(4) {
	width: calc(33.33333% - 20px);
}

div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-row:nth-child(4) .wpforms-field-row-block, div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-large:nth-child(4) .wpforms-one-half {
	width: 100%;
	margin-left: 20px !important;
}

@media only screen and (max-width: 767px) {
	div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-row:nth-child(3), div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-row:nth-child(4) {
		width: 100%;
		margin-left: 0 !important;
	}
	
	/* City & State Fields */
	div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-row:nth-child(3) .wpforms-one-half {
		width: calc(50% - 5px);
	}
	
	div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-row:nth-child(3) .wpforms-one-half:last-child {
		margin-left: 10px;
	}
	
	/* ZIP Code Field */
	div.wpforms-container-full .wpforms-form .wpforms-field-address .wpforms-field-row:nth-child(4) .wpforms-field-row-block {
		width: calc(50% - 5px);
		margin-left: 0 !important;
	}
}

/* --- Repeater Field: Label --- */
div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-repeater > .wpforms-field-label {
	font-size: var(--e-global-typography-accent-font-size);
	font-weight: var(--e-global-typography-accent-font-weight);
	font-style: var(--e-global-typography-accent-text-style);
	text-transform: var(--e-global-typography-accent-text-transform);
	line-height: var(--e-global-typography-accent-line-height);
	letter-spacing: var(--e-global-typography-accent-letter-spacing);
	color: var(--e-global-color-primary);
	margin-top: 0;
}

/* --- Repeater Field: Description --- */
div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-repeater > .wpforms-field-description {
	margin-block: 0;
	margin-top: 0;
	margin-bottom: 0;
}

/* --- Checkboxes & Checkbox Items Fields: Pill Styling --- */
/* Add the .pill-checks class to either the Checkboxes or Checkbox Items fields */
.wpforms-list-inline.pill-checks ul {
	gap: 10px !important;
}

.wpforms-list-inline.pill-checks li input {
	display: none !important;
}

.wpforms-list-inline.pill-checks li label {
	display: inline-block !important;
	height: 45px !important;
	font-family: var(--e-global-typography-accent-font-family) !important;
	font-size: var(--e-global-typography-accent-font-size) !important;
	font-weight: var(--e-global-typography-accent-font-weight) !important;
	font-style: var(--e-global-typography-accent-text-style) !important;
	text-transform: var(--e-global-typography-accent-text-transform) !important;
	line-height: 30px !important;
	letter-spacing: var(--e-global-typography-accent-letter-spacing) !important;
	border-radius: 5px !important;
	border: 1px solid var(--e-global-color-8e2787d) /* DDD */ !important;
	padding: 7px 15px !important;
  	cursor: pointer !important;
	transition: all 150ms cubic-bezier(.54,.29,.5,.87) !important;
}

.wpforms-list-inline.pill-checks li input:checked + label {
	background: var(--e-global-color-primary) !important;
	border-color: var(--e-global-color-primary) !important;
 	color: var(--e-global-color-36a78a4b) /* white */ !important;
}

.pill-checks .wpforms-field-description {
	margin-top: 10px !important;
}

/* --- Submit Button --- */
div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-submit-container {
	margin-left: 127px;
	margin-top: -70px;
}

/* --- BASE HOOK FORM --- */

/* Hook Form Arrows */
.arrow-page-one, .arrow-page-two, .arrow-page-three, .arrow-form {
	display: none;
}

/* --------- Form Responsiveness --------- */

@media only screen and (max-width: 1024px) {
	/* --- Page Break: Page Indicator Title --- */
	div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-indicator .wpforms-page-indicator-page-title {
		font-size: 12px;
	}
}

@media only screen and (max-width: 767px) {
	/* --- Layout Field --- */
	div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-layout .wpforms-layout-row {
		margin-right: 0px;
	}
	
	/* --- Page Break: Page Indicator Page --- */
	div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-indicator-page {
		display: none;
	}

	div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-indicator-page.active {
		display: block;
		width: 100%;
	}
	
	/* --- Page Break: Page Indicator Title --- */
	div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-indicator .wpforms-page-indicator-page-title {
    	font-size: var(--e-global-typography-secondary-font-size);
	}
	
	/* --- Date / Time Field --- */
	div.wpforms-container.wpforms-container-full .wpforms-field-date-time .wpforms-field-row .wpforms-field-row-block:not(:only-child) {
		width: 100%;
	}
}